{% extends "base.html" %}

{% block title %}{{ labels.title }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ labels.breadcrumb }}</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col"><h2>{{ labels.title }}</h2></div>
        <div class="col text-end">
            {% if view.is_archive %}
                <a class="btn btn-sm btn-outline-primary" href="{% url 'benevoles' app %}">Liste des bénévoles</a>
            {% else %}
                <a class="btn btn-sm btn-outline-primary" href="{% url 'benevoles-archives' app %}">Archives</a>
                <a class="btn btn-sm btn-outline-primary" href="{% url 'benevole-new' app %}">{{ labels.new }}</a>
            {% endif %}
        </div>
    </div>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table">
        <thead class="sticky">
            <tr>
                <th>Nom</th><th>Localité</th><th>Tél.</th><th>Courriel</th><th>Activités</th><th style="width: 20%;">Remarques</th>
                {% block add_headers %}{% endblock %}
            </tr>
            <tr class="filters">
                <td>{{ form.nom }}</td><td>{{ form.npa_localite }}</td><td>{{ form.tel }}</td>
                <td></td><td>{{ form.toutes_activites }} {{ form.toutes_activites.label_tag|strip_colon }}</td>
                <td>{% block 'remarques_filter' %}{% endblock %}</td>
                {% block add_filters %}{% endblock %}
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for benevole in object_list %}
            <tr{% if benevole.inactif %} class="inactif"{% endif %}>
                <td>{% if not benevole.empl_geo %}
                    <img class="icon" src="{% static 'img/warning.svg' %}"
                         title="Cette personne n’a pas été géolocalisée" data-bs-toggle="tooltip">
                    {% endif %}
                    <a href="{{ benevole.get_absolute_url }}">{{ benevole.nom }} {{ benevole.prenom }}</a></td>
                <td>{{ benevole.npa }} {{ benevole.localite }}</td>
                <td>{% if benevole.tel_prive %}<div>{{ benevole.tel_prive|as_tel }}</div>{% endif %}
                    {% if benevole.tel_mobile %}<div>{{ benevole.tel_mobile|as_tel }}</div>{% endif %}
                    {% if benevole.tel_prof %}<div>{{ benevole.tel_prof|as_tel }} (prof)</div>{% endif %}
                </td>
                <td>{{ benevole.courriel|as_email }}</td>
                <td>{{ benevole.get_activites_display }}</td>
                <td>{% block 'remarques' %}{{ benevole.remarques }}{% endblock %}</td>
                {% block add_columns %}{% endblock %}
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}

{% endblock %}
